# Method: projects.locations.instances.revert

- [HTTP request](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/revert#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/revert#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/revert#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/revert#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/revert#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/revert#body.aspect)
- [Try it!](https://docs.cloud.google.com/filestore/docs/reference/rest/v1/projects.locations.instances/revert#try-it)

Revert an existing instance's file system to a specified snapshot.

### HTTP request

`POST https://file.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:revert`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the instance, in the format `projects/{projectId}/locations/{locationId}/instances/{instanceId}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "targetSnapshotId": string } ``` |

| Fields ||
|---|---|
| `targetSnapshotId` | `string` Required. The snapshot resource ID, in the format 'my-snapshot', where the specified ID is the {snapshotId} of the fully qualified name like `projects/{projectId}/locations/{locationId}/instances/{instanceId}/snapshots/{snapshotId}` |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/filestore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).